Skip to main content
GET
/
{alias}
/
search
/
customers
Listar Clientes retornados pela busca
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/search/customers \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/search/customers"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/search/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "merchant_id": 123,
    "marketplace_id": 123,
    "active": true,
    "type": "<string>",
    "cluster_id": 123,
    "name": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "generic_name": "<string>",
    "cpf": "<string>",
    "spreadsheet": {
      "data": {
        "brands": "<string>",
        "city": "<string>",
        "purchased_brands": "<string>",
        "last_order_date": {
          "date": "2023-11-07T05:31:56Z",
          "timezone_type": 123,
          "timezone": "<string>"
        },
        "last_order_value": "<string>",
        "purchased_categories": "<string>",
        "number": "<string>",
        "uf": "<string>",
        "phone": "(16) 98187-5668",
        "street": "<string>",
        "phone_number": "981875668",
        "categories": "<string>",
        "neighborhood": "<string>",
        "complement": "<string>",
        "phone_code": "16"
      }
    },
    "phone": {
      "area_code": "<string>",
      "full_number": "<string>",
      "number": "<string>",
      "formated_number": "<string>",
      "whatsapp_link": "<string>"
    },
    "razao_social": "<string>",
    "cnpj": "<string>",
    "state_registration": "<string>",
    "email": "jsmith@example.com",
    "birthday": "2023-12-25",
    "newsletter": true,
    "whatsapp": true,
    "social_driver": "<string>",
    "social_id": 123,
    "ip": "<string>",
    "token": "<string>",
    "utm_source": "<string>",
    "utm_campaign": "<string>",
    "notes": "<string>",
    "login_url": "<string>",
    "anonymized": true,
    "deletion_request": {
      "data": {
        "pending_confirmation": true,
        "scheduled_date": "2023-12-25"
      }
    },
    "addresses": {
      "data": [
        {
          "receiver": "<string>",
          "city": "<string>",
          "full_address": "<string>",
          "zip_code": "<string>",
          "number": "<string>",
          "uf": "<string>",
          "street": "<string>",
          "id": 123,
          "neighborhood": "<string>",
          "customer_id": 123,
          "complement": "<string>",
          "created_at": {
            "date": "2000-08-17 10:24:24",
            "timezone_type": 3,
            "timezone": "America/Sao_Paulo"
          },
          "updated_at": {
            "date": "2000-08-17 10:24:24",
            "timezone_type": 3,
            "timezone": "America/Sao_Paulo"
          }
        }
      ]
    },
    "created_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    },
    "updated_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Response

Lista de clientes através da busca

data
object